﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2022B: (1 year) VER VISA /9500+2Hd
DATE:                  2010-07-27 12:36:55
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       252
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, ZY
# 
#  Models covered:
#        TDS 2022B
# 
#  Source(s):
#        TDS1000B and TDS2000B Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1828-00
# 
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000B/2000B USB Remote Interface Connection
#        Sub Tek TDS1000B/2000B Specifications
#        Sub Tek TDS1000B/2000B Self-Test VISA
#        Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
#        Sub Tek TDS1000B/2000B Select Channel VISA
#        Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
#        Sub Tek TDS1000B/2000B (1 yr) DCV Meas VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) Bandwidth VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) Trig Sens VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
#        Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500
#        Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
#        Sub Datron 9500 Configuration Query IEEE
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        None
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  26 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S
  1.006  ENDIF

  1.007  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.008  ASK+           K

  1.009  IF           NOT(VERSIONCHECK("7.20Z"))
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Verification Method (No NTHROW)

  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         10 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  CALL         Sub Tek TDS1000B/2000B USB Remote Interface Connection

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query VISA
  1.020  MATH         @UUT_Model = "TDS 2022B"
  1.021  MATH         @UUT_Manufacturer = "Tektronix"
  1.022  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.023  JMPL         END                          @Abort

  1.024  CALL         Sub Datron 9500 Configuration Query IEEE

  1.025  IF           ZCMPI(@HeadTypeCh1, @HeadTypeCh2)
  1.026  MATH         @UsingPowerSplitter = 0; @Abort = 0

  1.027  ELSE         #NOT(ZCMPI(@HeadTypeCh1, @HeadTypeCh2))
  1.028  OPBR         -z In the subsequent external trigger sensitivity test,
  1.028  OPBR         the use of the 9500 dual sine function is recommended.
  1.028  OPBR         If two Active Heads of the same type are not available,
  1.028  OPBR         however, the use of a power splitter is also supported.
  1.028  OPBR
  1.028  OPBR         Do you wish to change Active Heads to faciltate the use
  1.028  OPBR         of the dual sine function at this time?
  1.029  MATH         @UsingPowerSplitter = NOT(MEM1)

  1.030  IF           MEM1
  1.031  DISP         Exchange 9500 Active Heads, ensuring the same types are
  1.031  DISP         used in both CH 1 and CH 2, then modify the MET/CAL
  1.031  DISP         Instrument Configuration and re-execute the procedure.
  1.031  DISP
  1.031  DISP         Selecting "Advance" aborts the procedure, facilitating
  1.031  DISP         the above change.
  1.032  MATH         @Abort = 1
  1.033  ELSE
  1.034  DISP         - Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
  1.034  DISP         [32] output tracking: <0.25 dB, equivalent output
  1.034  DISP         [32] SWR: <1.22, HP/Agilent 11667A or equivalent
  1.035  ENDIF

  1.036  ENDIF

  1.037  JMPL         END                          @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    6.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#    7.   EDGE-TRIGGER SENSITIVITY(CH1)      EDGE-TRIGGER SENSITIVITY(CH1)
#    8.   EDGE-TRIGGER SENSITIVITY(CH2)      EDGE-TRIGGER SENSITIVITY(CH2)
#    9.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  VERTICAL POSITION ACC(CH1)
#   10.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  VERTICAL POSITION ACC(CH2)
#   11.   SAMPLE RATE AND DELAY TIME ACC     SAMPLE RATE AND DELAY TIME ACC
#   12.   VERTICAL POSITION ACC(CH1)         EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   13.   VERTICAL POSITION ACC(CH2)         EXT EDGE-TRIGGER SENSITIVITY(CH2)

  1.038  CALL         Sub Tek TDS1000B/2000B Specifications
  1.039  CALL         Sub Tek TDS1000B/2000B Self-Test VISA
  1.040  JMPL         END                          @Abort
  1.041  CALL         Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
  1.042  JMPL         END                          @Abort

  1.043  MATH         @NumHeads = 2

  1.044  MATH         @Chan = 1
  1.045  M9500                       CH1
  1.046  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /9500

  1.047  MATH         @Chan = 2
  1.048  M9500                       CH2
  1.049  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /9500

  1.050  MATH         @Chan = 1
  1.051  M9500                       CH1
  1.052  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /9500

  1.053  MATH         @Chan = 2
  1.054  M9500                       CH2
  1.055  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /9500

  1.056  MATH         @Chan = 1
  1.057  M9500                       CH1
  1.058  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500

  1.059  MATH         @Chan = 2
  1.060  M9500                       CH2
  1.061  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500
  1.062  JMPL         VERTICAL_POSITION

  1.063  LABEL        EXT_TRIG

  1.064  IF           @UsingPowerSplitter
  1.065  MATH         @Chan = 1
  1.066  M9500                       CH1
  1.067  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd
  1.068  MATH         @Chan = 2
  1.069  M9500                       CH1
  1.070  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd

  1.071  ELSE
  1.072  MATH         @Chan = 1
  1.073  M9500                       CH12
  1.074  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
  1.075  MATH         @Chan = 2
  1.076  M9500                       CH12
  1.077  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
  1.078  ENDIF

  1.079  JMPL         END

  1.080  LABEL        SAMPLE_RATE_DELAY_TIME
  1.081  MATH         @Chan = 1
  1.082  M9500                       CH1
  1.083  CALL         Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /9500
  1.084  JMPL         EXT_TRIG

  1.085  LABEL        VERTICAL_POSITION
  1.086  MATH         @Chan = 1
  1.087  M9500                       CH1
  1.088  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500

  1.089  MATH         @Chan = 2
  1.090  M9500                       CH2
  1.091  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500
  1.092  JMPL         SAMPLE_RATE_DELAY_TIME

  1.093  LABEL        END

  1.094  IF           @Abort
  1.095  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.096  ELSE
  1.097  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.098  ENDIF

  1.099  VISA         *RST
  1.100  END
